Skip to main content
GET
/
api
/
svc
/
v1
/
apps
/
{id}
/
deployments
List Application Deployments
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/apps/{id}/deployments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "manifest": {
        "name": "<string>",
        "image": {
          "type": "build",
          "build_source": {
            "type": "remote",
            "remote_uri": "<string>"
          },
          "build_spec": {
            "type": "dockerfile",
            "dockerfile_path": "./Dockerfile",
            "build_context_path": "./",
            "command": "<string>",
            "build_args": {},
            "build_secrets": [
              {
                "id": "<string>",
                "value": "<string>",
                "env": "<string>"
              }
            ]
          },
          "docker_registry": "<string>"
        },
        "ports": [
          {
            "port": 80,
            "protocol": "TCP",
            "expose": true,
            "app_protocol": "http",
            "host": "<string>",
            "path": "<string>",
            "rewrite_path_to": "<string>",
            "auth": {
              "type": "basic_auth",
              "username": "<string>",
              "password": "<string>"
            }
          }
        ],
        "type": "service",
        "replicas": 1,
        "env": null,
        "service_account": "<string>",
        "mounts": [
          {
            "type": "secret",
            "mount_path": "<string>",
            "secret_fqn": "<string>"
          }
        ],
        "labels": {},
        "kustomize": {
          "patch": {},
          "additions": [
            {}
          ]
        },
        "workspace_fqn": "<string>",
        "allow_interception": false,
        "rollout_strategy": {
          "type": "rolling_update",
          "max_unavailable_percentage": 25,
          "max_surge_percentage": 25
        }
      },
      "createdBySubject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>"
      },
      "id": "<string>",
      "version": 123,
      "fqn": "<string>",
      "applicationId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deploymentBuilds": [
        {
          "name": "<string>",
          "status": 20
        }
      ],
      "deploymentStatuses": [
        {
          "id": "<string>",
          "deploymentId": "<string>",
          "status": "INITIALIZED",
          "state": {},
          "transition": "BUILDING",
          "message": "<string>",
          "retryCount": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "currentStatusId": "<string>",
      "currentStatus": {
        "id": "<string>",
        "deploymentId": "<string>",
        "status": "INITIALIZED",
        "state": {},
        "transition": "BUILDING",
        "message": "<string>",
        "retryCount": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "appliedRecommendations": [
        {
          "recommendationData": {},
          "recommendationType": "<string>",
          "expiryTimestamp": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "clusterId": "<string>",
          "applicationId": "<string>",
          "deploymentId": "<string>",
          "applicationVersion": 123,
          "appliedDeploymentId": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "createdBy": "<string>"
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Id of the application

Query Parameters

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer
default:0

Number of items to skip

Required range: x >= 0
Example:

0

version
string

Deployment version. Filter deployments by version.

Example:

"1"

deploymentId
string

Deployment ID. Filter deployments by a specific ID.

Example:

"deployment123"

Response

List of deployments matching the provided filters.

data
Deployment · object[]
required

Array of Deployments

pagination
Pagination · object
required

Pagination information